SSW-ALIGN(1)

NAME
ssw-align - fast Smith-Waterman aligner

SYNOPSIS
ssw-align [options] ... <target.fasta> <query.fasta>(or <query.fastq>)

DESCRIPTION

This command line tool uses SSW, a fast SIMD optimized alignment library, to perform alignments on input files.

The input files can be in FASTA or FASTQ format. Both target and query files can contain multiple sequences. Each sequence in the query file will be aligned with all sequences in the target file. If the target file has N sequences and the query file has M sequences, the results will have M*N alignments.

OPTIONS

-m N
    N is a positive integer for weight match in genome sequence alignment. [default: 2]

-x N
    N is a positive integer. -N will be used as weight mismatch in genome sequence alignment. [default: 2]

-o N
    N is a positive integer. -N will be used as the weight for the gap opening. [default: 3]

-e N
    N is a positive integer. -N will be used as the weight for the gap extension. [default: 1]

-p  Do protein sequence alignment. Without this option, the ssw_test will do genome sequence alignment.

-a FILE FILE is either the Blosum or Pam weight matrix. [default: Blosum50]

-c  Return the alignment path.

-f N
    N is a positive integer. Only output the alignments with the Smith-Waterman score >= N.

-r  The best alignment will be picked between the original read alignment and the reverse complement read alignment.

-s  Output in SAM format. [default: no header]

-h  If -s is used, include header in SAM output.

OUTPUT FORMATS

The software can output SAM format or BLAST like format results. For a specification of the SAM format, please see http://samtools.sourceforge.net/SAM1.pdf. The additional optional field "ZS" indicates the suboptimal alignment score.